[Scilab-users] This version of Scilab will probably fail on this system (10.13)

classic Classic list List threaded Threaded
5 messages Options
Heinz Nabielek Heinz Nabielek
Reply | Threaded
Open this post in threaded view
|

[Scilab-users] This version of Scilab will probably fail on this system (10.13)

>>This version of Scilab will probably fail on this system (10.13): Scilab
requires 10.8.3 (Mountain Lion) or newer system.

It has failed. What can I do? I have not Mac OS X 10.13 in my iMac....
Heinz



--
Sent from: http://mailinglists.scilab.org/Scilab-users-Mailing-Lists-Archives-f2602246.html
_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users
Paul Bignier Paul Bignier
Reply | Threaded
Open this post in threaded view
|

Re: This version of Scilab will probably fail on this system (10.13)


Hello Heinz,


I don't know why version 10.13 is detected but you should have a "Try anyway" button is that message window, did you try it?

If it doesn't work, can you please try to run Scilab from a terminal (command 'bin/scilab') and send me the return?

Which Scilab version are you running, and what MacOS version please?


Regards,

Paul


Paul BIGNIER
Development engineer
-----------------------------------------------------------
ESI Group - Scilab
99 rue des Solets - 94513 Rungis, France
Phone: +33.1.41.73.58.77
https://scilab.io
https://esi-group.com




From: users <[hidden email]> on behalf of Heinz Nabielek <[hidden email]>
Sent: Monday, September 18, 2017 11:45 PM
To: [hidden email]
Subject: [Scilab-users] This version of Scilab will probably fail on this system (10.13)
 
>>This version of Scilab will probably fail on this system (10.13): Scilab
requires 10.8.3 (Mountain Lion) or newer system.

It has failed. What can I do? I have not Mac OS X 10.13 in my iMac....
Heinz



--
Sent from: http://mailinglists.scilab.org/Scilab-users-Mailing-Lists-Archives-f2602246.html
_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users

_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users
Paul Bignier Paul Bignier
Reply | Threaded
Open this post in threaded view
|

Re: This version of Scilab will probably fail on this system (10.13)


Hi Heinz,


As the error seems to be related to libBLAS, as it was for Scilab 5, here's a link to a discussion with a fix that may help:

http://mailinglists.scilab.org/Scilab-users-macOS-Sierra-Scilab-not-working-yet-td4034586.html

Please get back to us with your results!


Regards,

Paul


Paul BIGNIER
Development engineer
-----------------------------------------------------------
ESI Group - Scilab
99 rue des Solets - 94513 Rungis, France
Phone: +33.1.41.73.58.77
https://scilab.io
https://esi-group.com




From: Heinz Nabielek <[hidden email]>
Sent: Thursday, September 21, 2017 11:18 AM
To: Users mailing list for Scilab
Subject: Re: [Scilab-users] This version of Scilab will probably fail on this system (10.13)
 
Thanks, Paul. I had recently updated my iMac from Mac OS 10.12 to Mac OS 10.13 and then Scilab 6.0 (nor Scilab 5.5.2) did not work any more.

Yes: I clicked the "Try anyway" button, but this had no effect.

AND
/bin/scilab: No such file or directory !

> Heinzs-iMac:~ heinznabielek$ /bin/scilab
> -bash: /bin/scilab: No such file or directory

However, /Applications/scilab-6.0.0.app/Contents/MacOS/bin/scilab starts with the "Try anyway" window and an error message
true
dyld: Symbol not found: _double_general_add
  Referenced from: /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLinearAlgebra.dylib
  Expected in: /Applications/scilab-6.0.0.app/Contents/MacOS/lib/thirdparty/libBLAS.dylib
 in /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLinearAlgebra.dylib
/Applications/scilab-6.0.0.app/Contents/MacOS/bin/scilab: line 957:  1470 Abort trap: 6           "$SCILABBIN" "$@"

Where do we go from here?
Heinz



> On 19.09.2017, at 09:25, Paul Bignier <[hidden email]> wrote:
>
>
> Hello Heinz,
>
> I don't know why version 10.13 is detected but you should have a "Try anyway" button is that message window, did you try it?
> If it doesn't work, can you please try to run Scilab from a terminal (command 'bin/scilab') and send me the return?
> Which Scilab version are you running, and what MacOS version please?
>
> Regards,
> Paul
>
> Paul BIGNIER
> Development engineer
> -----------------------------------------------------------
> ESI Group - Scilab
> 99 rue des Solets - 94513 Rungis, France
> Phone: +33.1.41.73.58.77
> https://scilab.io
> https://esi-group.com
>
>
> From: users <[hidden email]> on behalf of Heinz Nabielek <[hidden email]>
> Sent: Monday, September 18, 2017 11:45 PM
> To: [hidden email]
> Subject: [Scilab-users] This version of Scilab will probably fail on this system (10.13)

> >>This version of Scilab will probably fail on this system (10.13): Scilab
> requires 10.8.3 (Mountain Lion) or newer system.
>
> It has failed. What can I do? I have not Mac OS X 10.13 in my iMac....
> Heinz
>
>
>
> --
> Sent from: http://mailinglists.scilab.org/Scilab-users-Mailing-Lists-Archives-f2602246.html
> _______________________________________________
> users mailing list
> [hidden email]
> http://lists.scilab.org/mailman/listinfo/users
> _______________________________________________
> users mailing list
> [hidden email]
> http://lists.scilab.org/mailman/listinfo/users


_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users
Heinz Nabielek Heinz Nabielek
Reply | Threaded
Open this post in threaded view
|

Re: This version of Scilab will probably fail on this system (10.13)

This does not work either. Below messages...What can we do now?
Heinz

Heinzs-iMac:~ heinznabielek$
/Applications/scilab-6.0.0.app/Contents/MacOS/bin/scilab
true
dyld: Symbol not found: _inflateValidate
  Referenced from:
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
  Expected in:
/Applications/scilab-6.0.0.app/Contents/MacOS/lib/thirdparty/libz.1.dylib
 in
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
/Applications/scilab-6.0.0.app/Contents/MacOS/bin/scilab: line 957:   945
Abort trap: 6           "$SCILABBIN" "$@"

On 21.09.2017, at 15:00, Paul Bignier <[hidden email]> wrote:


Hi Heinz,

As the error seems to be related to libBLAS, as it was for Scilab 5, here's
a link to a discussion with a fix that may help:
http://mailinglists.scilab.org/Scilab-users-macOS-Sierra-Scilab-not-working-yet-td4034586.html
Please get back to us with your results!

Regards,
Paul



--
Sent from: http://mailinglists.scilab.org/Scilab-users-Mailing-Lists-Archives-f2602246.html
_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users
Paul Bignier Paul Bignier
Reply | Threaded
Open this post in threaded view
|

Re: This version of Scilab will probably fail on this system (10.13)


Looks like there was a libz update, you may refer to http://gnucash.1415818.n4.nabble.com/2-6-17-for-MacOS-X-td4692832.html to replace the libz* files in /Applications/scilab-6.0.0.app/Contents/MacOS/lib/thirdparty/ by the ones in /usr/lib/, it looks like it went from 1.2.3 to 1.2.4 or 1.2.8.


Regards,

Paul



Paul BIGNIER
Development engineer
-----------------------------------------------------------
ESI Group - Scilab
99 rue des Solets - 94513 Rungis, France
Phone: +33.1.41.73.58.77
https://scilab.io
https://esi-group.com




From: users <[hidden email]> on behalf of Heinz Nabielek <[hidden email]>
Sent: Saturday, September 23, 2017 9:15 PM
To: [hidden email]
Subject: Re: [Scilab-users] This version of Scilab will probably fail on this system (10.13)
 
This does not work either. Below messages...What can we do now?
Heinz

Heinzs-iMac:~ heinznabielek$
/Applications/scilab-6.0.0.app/Contents/MacOS/bin/scilab
true
dyld: Symbol not found: _inflateValidate
  Referenced from:
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
  Expected in:
/Applications/scilab-6.0.0.app/Contents/MacOS/lib/thirdparty/libz.1.dylib
 in
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
/Applications/scilab-6.0.0.app/Contents/MacOS/bin/scilab: line 957:   945
Abort trap: 6           "$SCILABBIN" "$@"

On 21.09.2017, at 15:00, Paul Bignier <[hidden email]> wrote:


Hi Heinz,

As the error seems to be related to libBLAS, as it was for Scilab 5, here's
a link to a discussion with a fix that may help:
http://mailinglists.scilab.org/Scilab-users-macOS-Sierra-Scilab-not-working-yet-td4034586.html
Please get back to us with your results!

Regards,
Paul



--
Sent from: http://mailinglists.scilab.org/Scilab-users-Mailing-Lists-Archives-f2602246.html
_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users

_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users